// =============================================================================
// Sizes.
// =============================================================================

// SIMPLE MEDIA QUERY
// @include breakpoint($size-large) { @content; } or @include breakpoint($size-small $size-large) { @content; }
$size-xsmall: 460px;
$size-small: 640px;
$size-medium: 768px;
$size-normal: 1120px;
$size-large: 1400px;
$size-xlarge: 1800px;

$size-hamburger-menu: 1200px;

$size-max-width-xxsmall: 47rem;
$size-max-width-xsmall: 53rem;
$size-max-width-small: 990px;
$size-max-width-normal: 1120px;
$size-max-width-medium: 1280px;
$size-max-width-large: 1600px;

// CUSTOM MEDIA QUERY
// @include breakpoint-custom($size-customPortrait) { @content; }
$size-customPortrait: '(min-height: 1000px) (orientation: portrait)';

// =============================================================================
// Colors.
// =============================================================================

// Brand colors.

$color-blue-slate: #13A5B4;
$color-blue-lighter: #4AB1E7;
$color-blue-light: #0F71A3;
$color-blue: #09547A;
$color-blue-dark: #073045;
$color-red: #E22B4A;
$color-purple: #3A3891;
$color-purple-light: #6C69C4;
$color-pink: #A1247F;
$color-pink-light: #B54D79;

// Audience colors.
$color-audience-pink: #D61660;
$color-audience-purple: #6B2476;
$color-audience-green: #2A6F30;
$color-audience-blue: #3CABDC;

// Social.
$color-social-fb: #3B5998;
$color-social-tw: #2DA7E0;
$color-social-flickr: #1565C0;
$color-social-rss: #f26522;
$color-social-inst: #e1306c;
$color-social-link: #0077b5;
$color-social-youtube: #FF0000;

// Tickets.
$color-ticket-blue: $color-audience-blue;
$color-ticket-green: $color-audience-green;
$color-ticket-pink: $color-audience-pink;
$color-ticket-purple: $color-audience-purple;


// Shades of grey.
$color-white: #FFFFFF;
$color-white-90: rgba(255,255,255,0.9);
$color-white-80: rgba(255,255,255,0.8);
$color-white-70: rgba(255,255,255,0.7);
$color-white-60: rgba(255,255,255,0.6);
$color-white-50: rgba(255,255,255,0.5);
$color-white-40: rgba(255,255,255,0.4);
$color-white-30: rgba(255,255,255,0.3);
$color-white-20: rgba(255,255,255,0.2);
$color-white-10: rgba(255,255,255,0.1);
$color-grey-xxlight: #F4F4F4;
$color-grey-xlight: #E9E9E9;
$color-grey-light: #D4D3D3;
$color-grey: #A8A7A7;
$color-grey-dark: #7D7C7C;
$color-grey-xdark: #444;
$color-black: #262424;
$color-black-90: rgba(0,0,0,0.9);
$color-black-80: rgba(0,0,0,0.8);
$color-black-70: rgba(0,0,0,0.7);
$color-black-60: rgba(0,0,0,0.6);
$color-black-50: rgba(0,0,0,0.5);
$color-black-40: rgba(0,0,0,0.4);
$color-black-30: rgba(0,0,0,0.3);
$color-black-20: rgba(0,0,0,0.2);
$color-black-10: rgba(0,0,0,0.1);


// =============================================================================
// Typography.
// =============================================================================
$font-primary: "Montserrat", sans-serif;
$font-secondary: "Bitter", serif;

$font-xxsmall: pxrem(12);
$font-xsmall: pxrem(14);
$font-small: pxrem(15);
$font-normal: pxrem(16);
$font-medium: pxrem(18);
$font-discrete: pxrem(24);
$font-large: pxrem(28);
$font-xlarge: pxrem(30);
$font-xxlarge: pxrem(40);

// =============================================================================
// Custom.
// =============================================================================
$border-radius: 4px;
$border-radius-large: 8px;
$ease-default: cubic-bezier(.1, 0.5, .5, 1);
$default-border: 1px solid $color-black-10;
$box-shadow: 0px 2px 8px rgba(37, 37, 37, 0.2);

// New variables format › $category(-group)-variant
// * -group is optional
